<?xml version="1.0"?>
<launch>
  <arg name="gazebo_model_name" default="static_camera" doc="The name to give to the model in Gazebo (after spawning it)." />
  <arg name="robot_description_param_name" default="robot_description/static_camera" doc="Name of the parameter which contains the robot description (ie: URDF) which should be spawned into Gazebo." />
  
  <arg name="spawn_x" default="0.0" doc="x-coord for spawning camera." />
  <arg name="spawn_y" default="0.0" doc="y-coord for spawning camera." />
  <arg name="spawn_z" default="1.0" doc="z-coord for spawning camera. NOTE: lower values will cause the robot to collide with the ground plane." />
  <arg name="spawn_yaw" default="0.0" doc="yaw-angle in rad for spawning camera." />

  <!-- Spawn the model loaded earlier in the simulation just started -->
  <param name="$(arg robot_description_param_name)" command="$(find xacro)/xacro '$(find master_scene)/models/robot/urdf/static_camera.xacro'
    use_nominal_extrinsics:=true
    "
  />
  <node name="spawn_static_camera" pkg="gazebo_ros" type="spawn_model"
    args="
      -urdf
      -param $(arg robot_description_param_name)
      -model $(arg gazebo_model_name)
      -x $(arg spawn_x) -y $(arg spawn_y) -z $(arg spawn_z) -Y $(arg spawn_yaw)"
    output="screen" respawn="false" 
  />
</launch>